RESTinio

Public Attributes | List of all members
restinio::easy_parser::impl::std_array_wrapper< T, S > Struct Template Reference

A special wrapper for std::array type to be used inside a producer during the parsing. More...

`#include <easy_parser.hpp>`

## Public Attributes
std::array< T, S > | m_array
std::size_t | m_index { 0u }

## Detailed Description

template<typename T, std::size_t S>
struct restinio::easy_parser::impl::std_array_wrapper< T, S >

A special wrapper for std::array type to be used inside a producer during the parsing.

This type is intended to be used inside a specialization of result_value_wrapper for std::array.

This type holds the current index that can be used by to_container method for addition of a new item to the result array.

Since
  v.0.6.6

Definition at line 298 of file easy_parser.hpp.

## Member Data Documentation

## ◆ m_array

template<typename T , std::size_t S>

std::array< T, S > restinio::easy_parser::impl::std_array_wrapper< T, S >::m_array

Definition at line 300 of file easy_parser.hpp.

## ◆ m_index

template<typename T , std::size_t S>

std::size_t restinio::easy_parser::impl::std_array_wrapper< T, S >::m_index { 0u }

Definition at line 301 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp